{literal}
<script>
    jQuery(document).ready(function(){
        $(inputNewPassword2).prop("disabled",true);
        $(inputNewPassword1).focus (function () {
            $("#hintHead").text('Tipps für ein gutes Passwort');
            $("#hintLength").text('Benutzen Sie mindestens 8 Zeichen');
            $("#hintNumeric").text('Benutzen Sie mindestens eine Zahl');
            $("#hintSymbols").text('Benutzen Sie auch mindestens ein Symbol (# $ ! + etc...)');
            $("#hintUpperLower").text('Benutzen Sie Groß- und Kleinschreibung');
        });
        $(inputNewPassword1).keyup(function () {
            var pwlengthOK = false;
            var numericOK = false;
            var symbolsOK = false;
            var upperOK = false;
            var pw = $(inputNewPassword1).val();
            var pwlength = (pw.length);
            if (pwlength > 8) {
                pwlengthOK = true;
                $("#hintLength").text('');
            } else {
                pwlengthOK = false;
                $("#hintLength").text('Benutzen Sie mindestens 9 Zeichen');
            }
            var numeric = pw.replace(/[0-9]/g, "");
            var numnumeric = (pw.length - numeric.length);
            if (numnumeric > 0) {
                numericOK = true;
                $("#hintNumeric").text('');
            } else {
                numericOK = false;
                $("#hintNumeric").text('Benutzen Sie mindestens eine Zahl');
            }
            var symbols = pw.replace(/\W/g, "");
            var numsymbols = (pw.length - symbols.length);
            if (numsymbols > 0) {
                symbolsOK = true;
                $("#hintSymbols").text('');
            } else {
                symbolsOK = false;
                $("#hintSymbols").text('Benutzen Sie auch mindestens ein Symbol (# $ ! + etc...)');
            }
            var upper = pw.replace(/[A-Z]/g, "");
            var numupper = (pw.length - upper.length);
            var lower = pw.replace(/[a-z]/g, "");
            var numlower = (pw.length - lower.length);
            if ((numupper > 0) && (numlower > 0)) {
                upperlowerOK = true;
                $("#hintUpperLower").text('');
            } else {
                upperlowerOK = false;
                $("#hintUpperLower").text('Benutzen Sie Groß- und Kleinschreibung');
            }
            $(inputNewPassword1).removeClass('has-error has-warning has-success');
            if (pwlengthOK && numericOK && symbolsOK && upperlowerOK) {
                $(inputNewPassword2).prop("disabled",false);
                $(inputNewPassword1).addClass('has-success');
                $(inputNewPassword1).css('background-color', '#0f03');;
                $("#hintHead").text('');
            } else {
                $(inputNewPassword2).prop("disabled",true);
                $(inputNewPassword1).addClass('has-error');
                $(inputNewPassword1).css('background-color', '#f003');;
                $("#hintHead").text('Tipps für ein gutes Passwort');
            }
        });
        $(inputNewPassword2).keyup(function () {
            if ($(inputNewPassword2).val() == $(inputNewPassword1).val()) {
                $("#btnCompleteProductConfig").prop("disabled",false);
                $(inputNewPassword2).addClass('has-success');
                $(inputNewPassword2).css('background-color', '#0f03');;
                $("#hintHead").text('');
            } else {
                $("#btnCompleteProductConfig").prop("disabled",true);
                $(inputNewPassword2).addClass('has-error');
                $(inputNewPassword2).css('background-color', '#f003');;
                $("#hintHead").text('Passworte stimmen nicht überein!');
            }
        });
    });
</script>
{/literal}

